var m = Object.defineProperty;
var p = (o, e) => m(o, "name", { value: e, configurable: !0 });
import { headerTimeout as c, headerContentType as i, headerProtocolVersion as f } from "./headers.js";
import { protocolVersion as s } from "./version.js";
import { contentTypeUnaryProto as y, contentTypeUnaryJson as a, contentTypeStreamProto as T, contentTypeStreamJson as l } from "./content-type.js";
import { MethodKind as d } from "../../../../../../../@bufbuild_protobuf@1.10.0/node_modules/@bufbuild/protobuf/dist/esm/service-type.js";
function g(o, e, r, n, h) {
  const t = new Headers(n ?? {});
  return r !== void 0 && t.set(c, `${r}`), t.set(i, o == d.Unary ? e ? y : a : e ? T : l), t.set(f, s), t;
}
p(g, "requestHeader");
export {
  g as requestHeader
};
